<?php

class WPshiftDashboard
{
    public static function init() {
        add_action( 'admin_menu', [ __CLASS__, 'add_dashboard_page' ] );
        add_action( 'admin_enqueue_scripts', [ __CLASS__, 'enqueue_scripts' ] );
    }

    public static function add_dashboard_page() {
        add_menu_page(
            __( 'WPshift', 'wpshift' ),
            __( 'WPshift', 'wpshift' ),
            'manage_options',
            'wpshift-dashboard',
            [ __CLASS__, 'render_dashboard_page' ],
            WPSHIFT_PLUGIN_URL . 'assets/images/icon.svg',
            6
        );
    }

    public static function render_dashboard_page() {
        ?>
        <div class="wrap wpshift-dashboard">
            <div class="wpshift-dashboard-container">
                <div id="wpshift-loader" class="wpshift-loader-overlay">
                    <div class="wpshift-loader">
                        <div class="wpshift-spinner"></div>
                        <p>Loading, please wait...</p>
                    </div>
                </div>
                <img src="<?php echo esc_url( WPSHIFT_PLUGIN_URL . 'assets/images/logo.svg' ); ?>" alt="WPshift Logo" class="wpshift-logo">
                <h1 style="text-align: start"><?php _e( 'Welcome to WPshift', 'wpshift' ); ?></h1>
                <p><?php _e( 'This official plugin helps you migrate your WordPress site to the WPshift platform effortlessly. With just a few clicks, you can migrate your site to a server, and transfer your data securely.', 'wpshift' ); ?></p>
                <p class="notice notice-warning"><?php _e( 'Before beginning the migration process, ensure that you have already set up a server within your WPshift workspace.', 'wpshift' ); ?></p>
                <a href="<?php echo esc_url( admin_url( 'admin.php?page=wpshift-migration&step=1' ) ); ?>" class="button button-primary button-hero"><?php _e( 'Start Migration', 'wpshift' ); ?></a>
            </div>
            <p class="wpshift-legal-text">WPShift is an independent platform and is not affiliated, associated, authorized, endorsed by, or in any way officially connected with WordPress, WordPress Foundation, or any other brands. All product and company names are trademarks™ or registered® trademarks of their respective holders. Use of these names does not imply any affiliation with or endorsement by them.</p>

        </div>

        <?php
    }

    public static function enqueue_scripts( $hook ) {
        wp_enqueue_style( 'wpshift-dashboard', WPSHIFT_PLUGIN_URL . 'assets/css/dashboard.css', [], WPSHIFT_VERSION );
        wp_enqueue_script('wpshift-scripts', WPSHIFT_PLUGIN_URL . 'assets/js/script.js', ['jquery'], '1.1.0', true);
    }
}