<?php

namespace steps;

class WPshiftStep1
{
    public function layout() {
        ?>
        <h2><?php _e( 'Step 1: Enter Your API Key', 'wpshift' ); ?></h2>
        <p><?php _e( 'Please enter your WPshift workspace API key to connect to your workspace.', 'wpshift' ); ?></p>
        <p class="helper-text"><?php _e( 'You can find your api key in your workspace settings.', 'wpshift' ); ?></p>
        <input type="text" placeholder="xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx" name="wpshift_api_key" value="<?php echo esc_attr( isset( $_SESSION['wpshift_step_1']['wpshift_api_key'] ) ? $_SESSION['wpshift_step_1']['wpshift_api_key'] : '' ); ?>" class="regular-text wpshift-input">
        <?php
    }

    public function validate() {
        $api_key = sanitize_text_field( $_POST['wpshift_api_key'] );

        if ( empty( $api_key ) ) {
            return __( 'API key is required.', 'wpshift' );
        }

        if ( strlen( $api_key ) < 10 ) {  // Assuming the API key should be at least 10 characters long.
            return __( 'API key must be at least 10 characters long.', 'wpshift' );
        }

        return true;
    }

    public function save() {
        $api_key = sanitize_text_field( $_POST['wpshift_api_key'] );
        return [
            'wpshift_api_key' => $api_key,
        ];
    }
}