<?php

namespace steps;

class WPshiftStep2
{
    public function layout() {
        // Example data for servers
        $servers = \WPshiftApi::get_servers($_SESSION['wpshift_step_1']['wpshift_api_key']);

        ?>
        <h2><?php _e( 'Step 2: Select a Server', 'wpshift' ); ?></h2>
        <p><?php _e( 'Please select a server to migrate your site to. If no servers are listed, create a new server in the WPShift platform before proceeding.', 'wpshift' ); ?></p>
        <select name="wpshift_server_id" class="regular-text wpshift-input">
            <?php foreach ( $servers as $id => $name ): ?>
                <option value="<?php echo esc_attr( $id ); ?>" <?php selected( isset( $_SESSION['wpshift_step_2']['wpshift_server_id'] ) ? $_SESSION['wpshift_step_2']['wpshift_server_id'] : '', $id ); ?>>
                    <?php echo esc_html( $name); ?>
                </option>
            <?php endforeach; ?>
        </select>
        <?php
    }

    public function validate() {
        $server_id = sanitize_text_field( $_POST['wpshift_server_id'] );

        if ( empty( $server_id ) ) {
            return __( 'You must select a server.', 'wpshift' );
        }

        return true;
    }

    public function save() {
        $server_id = sanitize_text_field( $_POST['wpshift_server_id'] );
        return [
            'wpshift_server_id' => $server_id,
        ];
    }
}